package com.mortals.xhx.module.task.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:TaskFinish
* date: 2021-8-9 9:22:48
*/
public class TaskFinishEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1628472168033L;


    /**
    * 任务编号
    */
    private String taskId;

    /**
    * 任务节点
    */
    private String taskName;

    /**
    * 流程编号
    */
    private String procInsId;

    /**
    * 流程名称
    */
    private String procDefName;

    /**
    * 流程版本
    */
    private String procDefVersion;

    /**
    * 流程发起人
    */
    private String startUserName;

    /**
    * 流程发起认部门
    */
    private String startDeptName;

    /**
    * 接收时间
    */
    private Date createTime;

    public TaskFinishEntity(){

    }
    /**
    * 获取 任务编号
    * @return taskId
    */
    public String getTaskId() {
        return this.taskId;
    }
    /**
    * 设置 任务编号
    * @param taskId
    */
    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }
    /**
    * 获取 任务节点
    * @return taskName
    */
    public String getTaskName() {
        return this.taskName;
    }
    /**
    * 设置 任务节点
    * @param taskName
    */
    public void setTaskName(String taskName) {
        this.taskName = taskName;
    }
    /**
    * 获取 流程编号
    * @return procInsId
    */
    public String getProcInsId() {
        return this.procInsId;
    }
    /**
    * 设置 流程编号
    * @param procInsId
    */
    public void setProcInsId(String procInsId) {
        this.procInsId = procInsId;
    }
    /**
    * 获取 流程名称
    * @return procDefName
    */
    public String getProcDefName() {
        return this.procDefName;
    }
    /**
    * 设置 流程名称
    * @param procDefName
    */
    public void setProcDefName(String procDefName) {
        this.procDefName = procDefName;
    }
    /**
    * 获取 流程版本
    * @return procDefVersion
    */
    public String getProcDefVersion() {
        return this.procDefVersion;
    }
    /**
    * 设置 流程版本
    * @param procDefVersion
    */
    public void setProcDefVersion(String procDefVersion) {
        this.procDefVersion = procDefVersion;
    }
    /**
    * 获取 流程发起人
    * @return startUserName
    */
    public String getStartUserName() {
        return this.startUserName;
    }
    /**
    * 设置 流程发起人
    * @param startUserName
    */
    public void setStartUserName(String startUserName) {
        this.startUserName = startUserName;
    }
    /**
    * 获取 流程发起认部门
    * @return startDeptName
    */
    public String getStartDeptName() {
        return this.startDeptName;
    }
    /**
    * 设置 流程发起认部门
    * @param startDeptName
    */
    public void setStartDeptName(String startDeptName) {
        this.startDeptName = startDeptName;
    }
    /**
    * 获取 接收时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 接收时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof TaskFinishEntity) {
            TaskFinishEntity tmp = (TaskFinishEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",taskId:").append(getTaskId())
                .append(",taskName:").append(getTaskName())
                .append(",procInsId:").append(getProcInsId())
                .append(",procDefName:").append(getProcDefName())
                .append(",procDefVersion:").append(getProcDefVersion())
                .append(",startUserName:").append(getStartUserName())
                .append(",startDeptName:").append(getStartDeptName())
                .append(",createTime:").append(getCreateTime())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.taskId = null;
         this.taskName = null;
         this.procInsId = null;
         this.procDefName = null;
         this.procDefVersion = null;
         this.startUserName = null;
         this.startDeptName = null;
         this.createTime = null;
    }
}